%define upstream_name    Feature-Compat-Class
%define upstream_version 0.07

Name:           perl-Feature-Compat-Class
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 2
Summary:        Make class syntax available
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
Group:          Development/Perl
URL:            https://metacpan.org/dist/Feature-Compat-Class
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl(constant)
BuildRequires:  perl(feature)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Object::Pad)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(warnings)

Requires:       perl(Object::Pad)

%description
This module provides the new class keyword and related others (method, field
and ADJUST) in a forward-compatible way.


%prep
%autosetup -n %{upstream_name}-%{upstream_version}


%build
perl Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc Changes README
%license LICENSE
%dir %{perl_vendorlib}/Feature/
%dir %{perl_vendorlib}/Feature/Compat
%{perl_vendorlib}/Feature/Compat/Class.pm
%{_mandir}/man3/Feature::Compat::Class.*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.70.0-2.mga10
+ Revision: 2228520
- Mageia 10 Mass Rebuild

* Thu Oct 03 2024 daviddavid <daviddavid> 0.70.0-1.mga10
+ Revision: 2102828
- imported package perl-Feature-Compat-Class

